import { IPermissions } from './EventStore/Permissions/Permissions';
import { ITransmuteIpfs } from './TransmuteIpfs/TransmuteIpfs';
import { Toolbox } from './Toolbox/Toolbox';
export interface ITransmuteFrameworkConfig {
    providerUrl: string;
    aca: any;
    esa: any;
    esfa: any;
    ipfsConfig?: any;
    wallet?: any;
    db?: any;
}
export interface ITransmuteFramework {
    AccessControlContract: any;
    EventStoreFactoryContract: any;
    EventStoreContract: any;
    EventStore: any;
    Toolbox: any;
    init: (confObj?: any) => any;
    config: any;
    web3: any;
    TransmuteIpfs: any;
    Persistence: any;
    ReadModel: any;
    Factory: any;
    db?: any;
}
export declare class TransmuteFramework implements ITransmuteFramework {
    AccessControlContract: any;
    EventStoreFactoryContract: any;
    EventStoreContract: any;
    EventStore: any;
    config: ITransmuteFrameworkConfig;
    engine: any;
    web3: any;
    TransmuteIpfs: ITransmuteIpfs;
    Permissions: IPermissions;
    Toolbox: Toolbox;
    Persistence: any;
    ReadModel: any;
    Factory: any;
    PatchLogic: any;
    db: any;
    initWeb3: (providerUrl: string) => void;
    init: (confObj?: ITransmuteFrameworkConfig) => this;
    initAll: () => void;
    getAccounts: () => Promise<string[]>;
}
declare const _default: TransmuteFramework;
export default _default;
